# -*- coding: utf-8 -*-
from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_Check4SEC_dialog(object):
    def setupUi(self, Check4SEC_dialog):
        Check4SEC_dialog.setObjectName("Check4SEC_dialog")
        Check4SEC_dialog.resize(665, 550)
        font = QtGui.QFont()
        font.setFamily("Arial")
        font.setPointSize(10)
        Check4SEC_dialog.setFont(font)
        Check4SEC_dialog.setWindowTitle("Herramienta de Asistencia para IVGA e ICUC")
        self.verticalLayout = QtWidgets.QVBoxLayout(Check4SEC_dialog)
        self.verticalLayout.setObjectName("verticalLayout")
        
        """ GENERAL """
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.Logo = QtWidgets.QLabel(Check4SEC_dialog)
        self.Logo.setMinimumSize(QtCore.QSize(45, 45))
        self.Logo.setMaximumSize(QtCore.QSize(75, 75))
        self.Logo.setText("")
        self.Logo.setPixmap(QtGui.QPixmap("Check4SEC.png"))
        self.Logo.setScaledContents(True)
        self.Logo.setObjectName("Logo")
        self.horizontalLayout.addWidget(self.Logo)
        self.title = QtWidgets.QLabel(Check4SEC_dialog)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.title.setFont(font)
        self.title.setAlignment(QtCore.Qt.AlignCenter)
        self.title.setWordWrap(True)
        self.title.setObjectName("title")
        self.title.setOpenExternalLinks(True)
        self.horizontalLayout.addWidget(self.title)

        """ TABS """
        self.tabs = QtWidgets.QTabWidget()
        self.IVGA = QtWidgets.QWidget()
        self.ICUC = QtWidgets.QWidget()
        self.tabs.addTab(self.IVGA, 'IVGA')
        self.tabs.addTab(self.ICUC, 'ICUC')
        self.verticalLayout.addWidget(self.tabs)


        """ IVGA LAYOUT """
        self.IVGA.layout = QtWidgets.QVBoxLayout(self.IVGA)

        self.gridLayout_IVGA = QtWidgets.QGridLayout()
        self.gridLayout_IVGA.setObjectName("gridLayout_IVGA")
        self.IVGA.layout.addLayout(self.gridLayout_IVGA)
        self.label_refcat = QtWidgets.QLabel(self.ICUC)
        self.label_refcat.adjustSize()
        self.label_refcat.setObjectName("label_refcat")
        self.gridLayout_IVGA.addWidget(self.label_refcat, 0, 0, 1, 1)
        self.horizontalLayout_IVGA_1 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_IVGA_1.setObjectName("RC")
        self.gridLayout_IVGA.addLayout(self.horizontalLayout_IVGA_1, 0, 1, 1, 1)
        self.combobox_RC = QtWidgets.QComboBox()
        self.horizontalLayout_IVGA_1.addWidget(self.combobox_RC)
        self.horizontalLayout_IVGA_1.addStretch()
        self.label_selected_parcels = QtWidgets.QLabel(self.IVGA)
        self.label_selected_parcels.adjustSize()
        self.label_selected_parcels.setObjectName("label_selected_parcels")
        self.gridLayout_IVGA.addWidget(self.label_selected_parcels, 1, 0, 1, 1)
        self.Table_IVGA = QtWidgets.QTableWidget(self.IVGA)
        font = QtGui.QFont()
        font.setPointSize(8)
        self.Table_IVGA.setFont(font)
        self.Table_IVGA.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustToContents)
        self.Table_IVGA.setEditTriggers(QtWidgets.QAbstractItemView.AnyKeyPressed|QtWidgets.QAbstractItemView.DoubleClicked|QtWidgets.QAbstractItemView.EditKeyPressed|QtWidgets.QAbstractItemView.SelectedClicked)
        self.Table_IVGA.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.Table_IVGA.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.Table_IVGA.setWordWrap(False)
        self.Table_IVGA.setObjectName("Selec")
        self.Table_IVGA.setColumnCount(6)
        self.Table_IVGA.setRowCount(0)
        self.Table_IVGA.horizontalHeader().setDefaultSectionSize(20)
        self.Table_IVGA.horizontalHeader().setHighlightSections(False)
        self.Table_IVGA.horizontalHeader().setMinimumSectionSize(20)
        self.Table_IVGA.verticalHeader().setVisible(False)
        self.gridLayout_IVGA.addWidget(self.Table_IVGA, 1, 1, 1, 1)


        self.horizontalLayout_IVGA_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_IVGA_2.setObjectName("validate")
        self.Validar_IVGA = QtWidgets.QPushButton(self.IVGA)
        self.Validar_IVGA.setObjectName("Validar")
        self.horizontalLayout_IVGA_2.addWidget(self.Validar_IVGA)
        self.options_IVGA = QtWidgets.QLineEdit(self.IVGA)
        self.options_IVGA.setReadOnly(True)
        self.options_IVGA.setObjectName("options")
        self.horizontalLayout_IVGA_2.addWidget(self.options_IVGA)
        self.gridLayout_IVGA.addLayout(self.horizontalLayout_IVGA_2, 2, 1, 1, 1)
        
        self.IVGA.layout.insertStretch(2)

        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("create_button")
        self.IVGA.layout.addLayout(self.horizontalLayout_3)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem)      
        self.Crear_IVGA = QtWidgets.QPushButton(self.IVGA)
        self.Crear_IVGA.setObjectName("Crear_IVGA")
        self.horizontalLayout_3.addWidget(self.Crear_IVGA)


        """ ICUC LAYOUT """
        self.ICUC.layout = QtWidgets.QVBoxLayout(self.ICUC)

        self.gridLayout_ICUC = QtWidgets.QGridLayout()
        self.gridLayout_ICUC.setObjectName("gridLayout_ICUC")
        self.ICUC.layout.addLayout(self.gridLayout_ICUC)

        self.label_parcel = QtWidgets.QLabel(self.ICUC)
        self.label_parcel.adjustSize()
        self.label_parcel.setObjectName("label_parcel")
        self.gridLayout_ICUC.addWidget(self.label_parcel, 0, 0, 1, 1)
        self.horizontalLayout_ICUC_1 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_ICUC_1.setObjectName("horizontalLayout_ICUC_1")
        self.selected_layer = QtWidgets.QRadioButton(self.ICUC)
        self.selected_layer.setObjectName("selected_layer")
        self.selected_layer.setChecked(True)
        self.horizontalLayout_ICUC_1.addWidget(self.selected_layer)
        self.by_layer = QtWidgets.QLabel(self.ICUC)
        self.by_layer.adjustSize()
        self.by_layer.setObjectName("by_layer")
        self.horizontalLayout_ICUC_1.addWidget(self.by_layer)
        self.combobox_parcels = QtWidgets.QComboBox(self.ICUC)
        self.horizontalLayout_ICUC_1.addWidget(self.combobox_parcels)
        self.selected_rc = QtWidgets.QRadioButton(self.ICUC)
        self.selected_rc.setObjectName("selected_rc")
        self.horizontalLayout_ICUC_1.addWidget(self.selected_rc)
        self.by_RC = QtWidgets.QLabel(self.ICUC)
        self.by_RC.adjustSize()
        self.by_RC.setObjectName("by_RC")
        self.horizontalLayout_ICUC_1.addWidget(self.by_RC)
        self.parcel_rc = QtWidgets.QLineEdit(self.ICUC)
        self.parcel_rc.setObjectName("parcel_rc")
        self.horizontalLayout_ICUC_1.addWidget(self.parcel_rc)
        self.horizontalLayout_ICUC_1.addStretch()
        self.gridLayout_ICUC.addLayout(self.horizontalLayout_ICUC_1, 0, 1, 1, 1)
        
        self.Table_ICUC_parcels= QtWidgets.QTableWidget(self.ICUC)
        font = QtGui.QFont()
        font.setPointSize(8)
        self.Table_ICUC_parcels.setFont(font)
        self.Table_ICUC_parcels.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustToContents)
        self.Table_ICUC_parcels.setEditTriggers(QtWidgets.QAbstractItemView.AnyKeyPressed|QtWidgets.QAbstractItemView.DoubleClicked|QtWidgets.QAbstractItemView.EditKeyPressed|QtWidgets.QAbstractItemView.SelectedClicked)
        self.Table_ICUC_parcels.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.Table_ICUC_parcels.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.Table_ICUC_parcels.setWordWrap(False)
        self.Table_ICUC_parcels.setObjectName("Table_ICUC")
        self.Table_ICUC_parcels.setColumnCount(3)
        self.Table_ICUC_parcels.setRowCount(1)
        self.Table_ICUC_parcels.horizontalHeader().setDefaultSectionSize(20)
        self.Table_ICUC_parcels.horizontalHeader().setHighlightSections(False)
        self.Table_ICUC_parcels.horizontalHeader().setMinimumSectionSize(20)
        self.Table_ICUC_parcels.verticalHeader().setVisible(False)
        self.gridLayout_ICUC.addWidget(self.Table_ICUC_parcels, 1, 1, 1, 1)

        self.label_footprint = QtWidgets.QLabel(self.ICUC)
        self.label_footprint.adjustSize()
        self.label_footprint.setObjectName("label_footprint")
        self.gridLayout_ICUC.addWidget(self.label_footprint, 2, 0, 1, 1)
        self.horizontalLayout_ICUC_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_ICUC_2.setObjectName("horizontalLayout_ICUC_2")
        self.label_layer_name = QtWidgets.QLabel(self.ICUC)
        self.label_layer_name.adjustSize()
        self.label_layer_name.setObjectName("label_layer_name")
        self.horizontalLayout_ICUC_2.addWidget(self.label_layer_name)
        self.combobox_footprint = QtWidgets.QComboBox()
        self.horizontalLayout_ICUC_2.addWidget(self.combobox_footprint)
        self.label_footprint_fields = QtWidgets.QLabel(self.ICUC)
        self.label_footprint_fields.adjustSize()
        self.label_footprint_fields.setObjectName("label_footprint_fields")
        self.horizontalLayout_ICUC_2.addWidget(self.label_footprint_fields)
        self.label_footprint_refcat = QtWidgets.QLabel(self.ICUC)
        self.label_footprint_refcat.adjustSize()
        self.label_footprint_refcat.setObjectName("label_footprint_refcat")
        self.horizontalLayout_ICUC_2.addWidget(self.label_footprint_refcat)
        self.combobox_footprint_RC = QtWidgets.QComboBox()
        self.horizontalLayout_ICUC_2.addWidget(self.combobox_footprint_RC)
        self.label_field_name = QtWidgets.QLabel(self.ICUC)
        self.label_field_name.adjustSize()
        self.label_field_name.setObjectName("label_field_name")
        self.horizontalLayout_ICUC_2.addWidget(self.label_field_name)
        self.combobox_type = QtWidgets.QComboBox()
        self.horizontalLayout_ICUC_2.addWidget(self.combobox_type)
        self.label_num_floors = QtWidgets.QLabel(self.ICUC)
        self.label_num_floors.adjustSize()
        self.label_num_floors.setObjectName("label_num_floors")
        self.horizontalLayout_ICUC_2.addWidget(self.label_num_floors)
        self.combobox_floorsAbove = QtWidgets.QComboBox()
        self.horizontalLayout_ICUC_2.addWidget(self.combobox_floorsAbove)
        self.horizontalLayout_ICUC_2.addStretch()
        self.gridLayout_ICUC.addLayout(self.horizontalLayout_ICUC_2, 2, 1, 1, 1)


        self.Table_ICUC_footprints = QtWidgets.QTableWidget(self.ICUC)
        font = QtGui.QFont()
        font.setPointSize(8)
        self.Table_ICUC_footprints.setFont(font)
        self.Table_ICUC_footprints.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustToContents)
        self.Table_ICUC_footprints.setEditTriggers(QtWidgets.QAbstractItemView.AnyKeyPressed|QtWidgets.QAbstractItemView.DoubleClicked|QtWidgets.QAbstractItemView.EditKeyPressed|QtWidgets.QAbstractItemView.SelectedClicked)
        self.Table_ICUC_footprints.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.Table_ICUC_footprints.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.Table_ICUC_footprints.setWordWrap(False)
        self.Table_ICUC_footprints.setObjectName("Table_ICUC")
        self.Table_ICUC_footprints.setColumnCount(3)
        self.Table_ICUC_footprints.setRowCount(1)
        self.Table_ICUC_footprints.horizontalHeader().setDefaultSectionSize(20)
        self.Table_ICUC_footprints.horizontalHeader().setHighlightSections(False)
        self.Table_ICUC_footprints.horizontalHeader().setMinimumSectionSize(20)
        self.Table_ICUC_footprints.verticalHeader().setVisible(False)
        self.gridLayout_ICUC.addWidget(self.Table_ICUC_footprints, 3, 1, 1, 1)


        self.horizontalLayout_ICUC_3= QtWidgets.QHBoxLayout()
        self.horizontalLayout_ICUC_3.setObjectName("validate_ICUC")
        self.Validar_ICUC = QtWidgets.QPushButton(self.ICUC)
        self.Validar_ICUC.setObjectName("Validar_ICUC")
        self.horizontalLayout_ICUC_3.addWidget(self.Validar_ICUC)
        self.horizontalLayout_ICUC_3.addStretch()
        self.gridLayout_ICUC.addLayout(self.horizontalLayout_ICUC_3, 4, 1, 1, 1)
        
        self.ICUC.layout.insertStretch(5)
        
        self.horizontalLayout_ICUC_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_ICUC_4.setObjectName("create_button")
        self.ICUC.layout.addLayout(self.horizontalLayout_ICUC_4)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_ICUC_4.addItem(spacerItem)      
        self.Crear_ICUC = QtWidgets.QPushButton(self.ICUC)
        self.Crear_ICUC.setObjectName("Crear_ICUC")
        self.horizontalLayout_ICUC_4.addWidget(self.Crear_ICUC)



        """ GENERAL """
        self.horizontalLayout_1 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_1.setObjectName("Console_Layout")
        self.verticalLayout.addLayout(self.horizontalLayout_1)
        self.console = QtWidgets.QPlainTextEdit(Check4SEC_dialog)
        self.console.setReadOnly(True)
        self.console.setObjectName("console")
        self.console.setStyleSheet("color: white;  background-color: black")
        self.console.setFixedHeight(150)
        self.horizontalLayout_1.addWidget(self.console)

        self.gridLayout_GENERAL = QtWidgets.QGridLayout()
        self.gridLayout_GENERAL.setObjectName("gridLayout_GENERAL")
        self.verticalLayout.addLayout(self.gridLayout_GENERAL)
        
        self.connection_lbl = QtWidgets.QLabel(Check4SEC_dialog)
        self.connection_lbl.adjustSize()
        self.connection_lbl.setObjectName("connection_lbl")
        self.gridLayout_GENERAL.addWidget(self.connection_lbl, 0, 0, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.check = QtWidgets.QCheckBox(Check4SEC_dialog)
        self.check.setObjectName("check")
        self.horizontalLayout_2.addWidget(self.check)
        self.horizontalLayout_2.addStretch()
        self.gridLayout_GENERAL.addLayout(self.horizontalLayout_2, 0, 1, 1, 1)

        self.label_timestamp = QtWidgets.QLabel(Check4SEC_dialog)
        self.label_timestamp.adjustSize()
        self.label_timestamp.setObjectName("label_timestamp")
        self.gridLayout_GENERAL.addWidget(self.label_timestamp, 1, 0, 1, 1)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("inspire")
        self.data = QtWidgets.QDateTimeEdit(Check4SEC_dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.data.sizePolicy().hasHeightForWidth())
        self.data.setSizePolicy(sizePolicy)
        self.data.setMinimumSize(QtCore.QSize(157, 25))
        self.data.setCalendarPopup(True)
        self.data.setObjectName("data")
        self.horizontalLayout_3.addWidget(self.data)
        self.label_inspire = QtWidgets.QLabel(Check4SEC_dialog)
        self.label_inspire.setObjectName("label_inspire")
        self.horizontalLayout_3.addWidget(self.label_inspire)
        self.Inspire4 = QtWidgets.QRadioButton(Check4SEC_dialog)
        self.Inspire4.setObjectName("Inspire4")
        self.horizontalLayout_3.addWidget(self.Inspire4)
        self.Inspire4.setChecked(True)
        self.horizontalLayout_3.addStretch()
        self.gridLayout_GENERAL.addLayout(self.horizontalLayout_3, 1, 1, 1, 1)

        self.fileName_lbl = QtWidgets.QLabel(Check4SEC_dialog)
        self.fileName_lbl.adjustSize()
        self.fileName_lbl.setObjectName("fileName_lbl")
        self.gridLayout_GENERAL.addWidget(self.fileName_lbl, 2, 0, 1, 1)
        self.fileName = QtWidgets.QLineEdit(Check4SEC_dialog)
        self.fileName.setObjectName("fileName")
        self.gridLayout_GENERAL.addWidget(self.fileName, 2, 1, 1, 1,)

        self.label_folder = QtWidgets.QLabel(Check4SEC_dialog)
        self.label_folder.adjustSize()
        self.label_folder.setObjectName("label_folder")
        self.gridLayout_GENERAL.addWidget(self.label_folder, 3, 0, 1, 1)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("folder_path")
        self.desti = QtWidgets.QLineEdit(Check4SEC_dialog)
        font = QtGui.QFont()
        font.setPointSize(8)
        self.desti.setFont(font)
        self.desti.setObjectName("desti")
        self.horizontalLayout_4.addWidget(self.desti)
        self.Carpeta = QtWidgets.QPushButton(Check4SEC_dialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.Carpeta.sizePolicy().hasHeightForWidth())
        self.Carpeta.setSizePolicy(sizePolicy)
        self.Carpeta.setMinimumSize(QtCore.QSize(33, 29))
        self.Carpeta.setMaximumSize(QtCore.QSize(33, 29))
        self.Carpeta.setText("")
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap("folder.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.Carpeta.setIcon(icon1)
        self.Carpeta.setAutoDefault(False)
        self.Carpeta.setObjectName("Carpeta")
        self.horizontalLayout_4.addWidget(self.Carpeta)
        self.gridLayout_GENERAL.addLayout(self.horizontalLayout_4, 3, 1, 1, 1)

        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setSpacing(5)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.verticalLayout.addLayout(self.horizontalLayout_5)
        self.horizontalLayout_5.addItem(spacerItem)
        self.Idioma = QtWidgets.QComboBox(Check4SEC_dialog)
        self.Idioma.addItems(['Español', 'English'])
        self.horizontalLayout_5.addWidget(self.Idioma)
        self.Cerrar = QtWidgets.QPushButton(Check4SEC_dialog)
        self.Cerrar.setObjectName("Cerrar")
        self.horizontalLayout_5.addWidget(self.Cerrar)


        self.retranslateUi()
        self.Cerrar.clicked.connect(Check4SEC_dialog.reject)
        QtCore.QMetaObject.connectSlotsByName(Check4SEC_dialog)

    def retranslateUi(self):
        self.label_inspire.setText("   INSPIRE:")
        self.Inspire4.setText("v4")
        if self.Idioma.currentIndex() == 0:
            #_translate = QtCore.QCoreApplication.translate
            self.Table_IVGA.setHorizontalHeaderLabels(["S", "RefCat", "Conservar", "LocalId", "Area", "Namespace"])
            self.title.setText('<div><a href="https://www.catastro.minhafp.es/asistente_catreg/asistente_catreg.html">Herramienta de Asistencia</a><br><a href="https://www.catastro.minhafp.es/asistente_catreg/img/IVGA.pdf">IVGA</a> <a href="https://www.catastro.minhafp.es/asistente_catreg/img/GML.pdf">(Formato INSPIRE GML CP v4)</a><br><a href="https://www.catastro.minhap.es/ayuda/vga/ayuda_ICUC.htm">ICUC</a> <a href="http://www.catastro.minhap.gob.es/documentos/formatos_intercambio/Formato%20GML%20edificio.pdf">(Formato INSPIRE GML BU v2)</a></div>')
            self.label_refcat.setText("Campo Ref. Catastral:")
            self.label_selected_parcels.setText("Parcelas\nseleccionadas")
            self.Validar_IVGA.setText("Validar")
            self.label_timestamp.setText("Fecha y hora")
            self.data.setDisplayFormat("dd-MM-yyyy H:mm")
            self.Crear_IVGA.setText("Crear GML")
            self.connection_lbl.setText("Conexión")
            self.fileName_lbl.setText("Nombre fichero")
            self.label_folder.setText("Carpeta destino")
            self.Cerrar.setText("Salir")
            self.msg_noLayer = "No hay ninguna capa activa"
            self.msg_noVector = "La capa activa debe ser de tipo vectorial"
            self.msg_noPolygon = "Debe seleccionar como mínimo una parcela"
            self.msg_noPolygonSelected = "El elemento seleccionado no es de tipo polígono"
            self.msg_noValidCRS = "La capa activa no utiliza un sistema de coordenadas compatible.\nCompruebe que utiliza un CRS oficial en España:\n- Canarias UTM H28    EPSG:32628\n- Península UTM H29  EPSG:25829\n- Península UTM H30  EPSG:25830\n- Península UTM H31  EPSG:25831\n- Baleares UTM H31    EPSG:25831"
            self.msg_internet = "Para realizar algunas validaciones es necesario acceder a los servicios de Catastro.\n¿La conexión a internet está activa?"
            self.msg_noInternet = "Tenga en cuenta que algunas de las validaciones sobre las parcelas aportadas no se llevarán a cabo."
            self.msg_noName = "Debe definir el nombre del fichero"
            self.msg_fileExists = "El fichero {}.gml ya existe\n\n¿Desea crear una nueva versión?"
            self.msg_done = "Archivo GML creado en la carpeta destino: \n{}.gml"
            self.msg_noChanges = "<div>Todas las parcelas aportadas coinciden con Catastro.<br>La generación del GML se ha cancelado.<br><br>Consulte Certificación Descriptiva y Gráfica <a href='https://www.sedecatastro.gob.es'>(SEC)</a>.</div>"
            self.msg_notFound = "Las Referencias Catastrales siguientes no se encuentran en Catastro:{}"
            self.msg_equalGeometries = "Las siguientes parcelas aportadas coinciden con Catastro:\n{}"
            self.msg_overlappingFeatures = "Se han detectado solapes entre algunas de las geometrías seleccionadas.\nDe continuar, el fichero GML no validará en la SEC."
            self.msg_contourError = "El contorno de las parcelas afectadas no coincide con Catastro.\nEl IVGA solo será positivo condicionado en caso de afección a dominio público."
            self.msg_WFSError = "La petición WFS ha devuelto el siguiente error:\n{}"
            self.msg_noOriginParcelFound = "No se han encontrado las parcelas de origen"
            self.msg_success = "La validación se ha completado con éxito."
            self.msg_failed = "Ha ocurrido un error durante la validación."
            self.msg_noEditable = "La capa {} no es editable, por lo que no se han podido añadir etiquetas."
            self.msg_noValidRC = "La Referencia Catastral no es válida"
            self.msg_NoParcelSelected = "No se ha seleccionado ninguna parcela"
            self.msg_NoValidTypeConstruction = "El campo Tipo de construcción no es válido para las huellas: {}"
            self.msg_footprint = "Las siguientes huellas no se encuentran dentro de la parcela aportada: {}"
            self.msg_contourError_ICUC = "ATENCIÓN: El contorno de la parcela aportada difiere de Catastro, este caso no se contempla en el procedimiento de obtención de ICUC.\nSe requiere alteración previa del parcelario catastral para obtener un ICUC."

            self.label_parcel.setText("Parcela:")
            self.by_layer.setText("Por capa")
            self.by_RC.setText("Por RC")
            self.label_footprint.setText("Huella:")
            self.label_layer_name.setText("Capa")
            self.label_footprint_fields.setText("Campos:")
            self.label_footprint_refcat.setText("RefCat")
            self.label_field_name.setText("Tipo (BU/PI)")
            self.label_num_floors.setText("Nº plantas")
            self.Validar_ICUC.setText("Validar")
            self.Crear_ICUC.setText("Crear GML")

        else:
            self.Table_IVGA.setHorizontalHeaderLabels(["S", "RefCat", "Preserve", "LocalId", "Area", "Namespace"])
            self.title.setText('<div><a href="https://www.catastro.minhafp.es/asistente_catreg/asistente_catreg.html">Assistant tool</a><br><a href="https://www.catastro.minhafp.es/asistente_catreg/img/IVGA.pdf">IVGA</a> <a href="https://www.catastro.minhafp.es/asistente_catreg/img/GML.pdf">(INSPIRE GML CP v4 format)</a><br><a href="https://www.catastro.minhap.es/ayuda/vga/ayuda_ICUC.htm">ICUC</a> <a href="http://www.catastro.minhap.gob.es/documentos/formatos_intercambio/Formato%20GML%20edificio.pdf">(INSPIRE GML BU v2 format)</a></div>')
            self.label_selected_parcels.setText("Selected parcels")
            self.Validar_IVGA.setText("Check")
            self.label_timestamp.setText("TimeStamp")
            self.data.setDisplayFormat("dd-MM-yyyy H:mm")
            self.Crear_IVGA.setText("Generate GML")
            self.connection_lbl.setText("Connection")
            self.fileName_lbl.setText("File Name")
            self.label_folder.setText("Save to folder")
            self.Cerrar.setText("Close")
            self.msg_noLayer = "No active layer found"
            self.msg_noVector = "Active layer must be vector type"
            self.msg_noPolygon = "At least one parcel must be selected"
            self.msg_noPolygonSelected = "The selected element is not polygon type"
            self.msg_noValidCRS = "Active layer CRS is invalid.\nVerify the use of one of the oficial CRS for Spain:\n- Canarias UTM H28    EPSG:32628\n- Península UTM H29  EPSG:25829\n- Península UTM H30  EPSG:25830\n- Península UTM H31  EPSG:25831\n- Baleares UTM H31    EPSG:25831"
            self.msg_internet = "Be aware that some of the validations are carried out against the Spanish Cadastre services.\nAre you connected to the internet?"
            self.msg_noInternet = "Be aware that some validations over the parcels will not be performed."
            self.msg_noName = "Filename must be defined"
            self.msg_fileExists = "{}.gml file already exists\n\n¿Do you want to create a new version?"
            self.msg_done = "GML file created in folder: \n{}.gml"
            self.msg_noChanges = "<div>All the provided parcels match the Cadastre.<br>The GML creation has been aborted.<br><br>Check Descriptive and Graphic Certificate <a href='https://www.sedecatastro.gob.es'>(SEC)</a>.</div>"
            self.msg_notFound = "The following Cadastral Parcel Refferences have not been found in Cadastre:{}"
            self.msg_equalGeometries = "The geometry of the following parcels match the Cadastre:\n{}"
            self.msg_overlappingFeatures = "Overlapping between selected features has been detected.\nIn case of generating the GML file, it will not validate in SEC."
            self.msg_contourError = "The contour for the modified Cadastral Parcels does not match the original Cadastral Parcels.\nThe IVGA will only be conditional positive in case of affection od public domain."
            self.msg_WFSError = "The WFS request has thrown the following Exception:\n{}"
            self.msg_noOriginParcelFound = "The original Cadastral Parcels have not been found"
            self.msg_success = "The validation has been successfully completed."
            self.msg_failed = "An error occured during validation."
            self.msg_noEditable = "Layer {} is not editable, labels could not be added"
            self.msg_noValidRC = "The input Cadastral Refference must be valid"
            self.msg_NoParcelSelected = "No parcel has been selected"
            self.msg_NoValidTypeConstruction = "The Type of construction field is not valid for the following geometries: {}"
            self.msg_footprint = "The following footprints are not contained in the given parcel: {}"
            self.msg_contourError_ICUC = "WARNING: The selected parcel differs from Cadastre, this case is not in the scope of the actual ICUC proccedure.\nA cadastral alteration must be performed before obtaining an ICUC"

            self.label_parcel.setText("Parcel:")
            self.by_layer.setText("By Layer")
            self.by_RC.setText("By RC")
            self.label_footprint.setText("Footprint:")
            self.label_layer_name.setText("Layer")
            self.label_footprint_fields.setText("Fields:")
            self.label_footprint_refcat.setText("RefCat")
            self.label_field_name.setText("Type (BU/PI)")
            self.label_num_floors.setText("Num floors")
            self.Validar_ICUC.setText("Validate")
            self.Crear_ICUC.setText("Generate GML")